import {request} from '../util/request'
// 添加入场申请
const applyadmission = async (param) => {  
	// console.log(param)
	let res = await request({
		url: '/entrance/addAdmission',
		data:param,
		method:'POST'
	})
	return res
}
// 获取申请人列表，入场申请时的申请人
const getApplyManList = async () => { 
	let res = await request({
		url: '/applicantslist/getApplicants'
	})
	return res
}

// const getSampleList= async () => {
// 	let res = await request({
// 		url: '/sample/get'
// 	})
// 	return res
// }
// 检查结果录入和查询检查结果那里，输入隔离点和批次搜索采样列表
const getSampleList = async (param) => {  
	// console.log(param)
	let res = await request({
		url: '/sample/search',
		data:param,
		method:'POST'
	})
	return res
}
// 获取隔离点列表
const getIsolationpointsList = async () => { 
	let res = await request({
		url: '/isolationpoints/getIsolatedPoints'
	})
	return res
}
// 检查结果录入
const addResult = async (data) =>{
	let res = await request({
		url:'/sample/updateResult',
		data:data,
		method:'POST'
	})
	return res
}

// 获取入场申请列表，人员采样页面
const getAdmissionsList = async () => { 
	let res = await request({
		url: '/entrance/getAdmission'
	})
	return res
}

export {
	applyadmission,
	getApplyManList,
	getSampleList,
	getIsolationpointsList,
	addResult,
	getAdmissionsList
}